Shirt Pocket Discussions

Shirt Pocket Discussions (http://www.shirt-pocket.com/forums/index.php)
-   General (http://www.shirt-pocket.com/forums/forumdisplay.php?f=6)
-   -   Strange log entries (http://www.shirt-pocket.com/forums/showthread.php?t=4947)

Gil 01-22-2009 09:23 AM

Strange log entries
 
I had just launched SD!, checked its log to see that last night's backup went OK, and then Quit SD!

I perform this ritual a couple times a month. But today I happened to open my Console Log for an unrelated matter and, lo! I was surprised to find a whole bunch of messages (below) with SuperDuper!'s name in them and some seemingly tacky words.

They aren't important, are they?

--Gil
MacOS 10.4.11 (still!) SD! V2.5

2009-01-22 06:06:58.731 SuperDuper![9548] .scriptSuite warning for attribute 'boundsAsQDRect' of class 'NSWindow' in suite 'NSCoreSuite': 'NSData<QDRect>' is not a valid type name.
2009-01-22 06:06:58.732 SuperDuper![9548] .scriptSuite warning for type 'NSTextStorage' attribute 'name' of class 'NSApplication' in suite 'NSCoreSuite': AppleScript name references may not work for this property because its type is not NSString-derived.
2009-01-22 06:06:58.732 SuperDuper![9548] .scriptSuite warning for type 'NSTextStorage' attribute 'lastComponentOfFileName' of class 'NSDocument' in suite 'NSCoreSuite': AppleScript name references may not work for this property because its type is not NSString-derived.
2009-01-22 06:06:58.732 SuperDuper![9548] .scriptSuite warning for type 'NSTextStorage' attribute 'title' of class 'NSWindow' in suite 'NSCoreSuite': AppleScript name references may not work for this property because its type is not NSString-derived.
2009-01-22 06:06:58.733 SuperDuper![9548] .scriptSuite warning for attribute 'boundsAsQDRect' of class 'NSWindow' in suite 'NSCoreSuite': 'NSData<QDRect>' is not a valid type name.
2009-01-22 06:06:58.733 SuperDuper![9548] .scriptSuite warning for superclass of class 'NSAttachmentTextStorage' in suite 'NSTextSuite': 'NSString' is not a valid class name.

dnanian 01-22-2009 10:02 AM

Expected and not a problem, Gil.

chris_johnsen 01-22-2009 10:02 AM

Here is a quote from a previous post that explains those warnings:
Quote:

Originally Posted by dnanian (Post 22785)
Those are compatibility warnings because the scripting dictionary is compatible all the way back to Jaguar.



All times are GMT -4. The time now is 05:17 PM.

Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.